
TYPO3.Flow - Bug # 50636

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Http
Created: 2013-08-01 Assigned To: Robert Lemke
Updated: 2013-08-27 Due date:
PHP Version: 5.4
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: CurlEngine tries to rewind stream
Description

CurlEngine which executes a rewind() on spec if the given request content is a stream resource. This is not necessary and is
especially harmful if a stream resource is provided which does not support seek operations.

Associated revisions
Revision 91b80226 - 2013-08-15 16:44 - Robert Lemke 

[BUGFIX] CurlEngine tries to rewind stream

This fixes an issue with the CurlEngine which executes a
rewind() on spec if the given request content is a stream
resource. This is not necessary and is especially harmful
if a stream resource is provided which does not support
seek operations.

Change-Id: I4b4629737540cf106a23ac554d58c2b459d2a1c3
Resolves: #50636
Releases: 2.0, master

Revision 5d9b98f0 - 2013-08-27 12:39 - Robert Lemke 

[BUGFIX] CurlEngine tries to rewind stream

This fixes an issue with the CurlEngine which executes a
rewind() if the given request content is a stream resource.

This is not necessary and is especially harmful if a stream
resource is provided which does not support seek operations.

Change-Id: I4b4629737540cf106a23ac554d58c2b459d2a1c3
Resolves: #50636
Releases: 2.0, master

History
#1 - 2013-08-15 17:35 - Anonymous
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:91b80226d600d5c3ac493d97c0a3b5c0cdc7a81a.

#2 - 2013-08-27 11:43 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23352

#3 - 2013-08-27 11:53 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23352

#4 - 2013-08-27 12:00 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23352

#5 - 2013-08-27 12:39 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23352

#6 - 2013-08-27 13:37 - Anonymous
- Status changed from Under Review to Resolved

Applied in changeset commit:5d9b98f0c65743a8858e1f7caf6bab60983d369b.
